import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();
    Professor emp = service.createProfessor("empName",100);
    
    Phone phone = service.createPhone("1111111111","phoneType");

    emp = service.addProfessorPhone(emp.getId(),phone.getId());

    Collection<Professor> emps = service.findAllProfessors();
    if (emps.isEmpty()) {
        System.out.println("No Professors found ");
    } else {
      System.out.println("Found Professors:");
        for (Professor emp1 : emps) {
          System.out.println(emp1);
        }
    }

    Collection<Phone> phones = service.findAllPhones();
    if (phones.isEmpty()) {
        System.out.println("No Phones found ");
    } else {
      System.out.println("Found Phones:");
        for (Phone phone1 : phones) {
          System.out.println(phone1);
        }
    }


    util.checkData("select * from Professor");
    
    util.checkData("select * from Phone");
    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}